PUT /tax/entries/\{id\}
PUT/tax/entries/:id
PUT /tax/entries/{id}
Request
Path Parameters
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
Body
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
Body
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
Body
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}
- Schema
- Example (from schema)
Schema
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}
- Schema
- Example (from schema)
Schema
transaction
object
contact
object
address
object
Possible values: <= 2 characters
transaction_type
object
jurisdiction
object
row
object
tax
object
tax_return_stats
object
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}